unit libbrtdll;
{$ifdef fpc}
 {$mode delphi}
{$endif}

interface

const RESAMPLINGMETHOD_NEAREST=0;
      RESAMPLINGMETHOD_LINEAR=1;
      RESAMPLINGMETHOD_CUBICSPLINE=2;
      RESAMPLINGMETHOD_POLYPHASEFIR=3;
      RESAMPLINGMETHOD_FASTSINC8=4;
      RESAMPLINGMETHOD_FASTSINC16=5;
      RESAMPLINGMETHOD_FASTSINC32=6;
      RESAMPLINGMETHOD_FASTSINC64=7;
      RESAMPLINGMETHOD_FASTSINC128=8;
      RESAMPLINGMETHOD_FASTSINC256=9;
      RESAMPLINGMETHOD_FASTSINC512=10;
      RESAMPLINGMETHOD_FASTSINC1024=11;
      RESAMPLINGMETHOD_SINC8=12;
      RESAMPLINGMETHOD_SINC16=13;
      RESAMPLINGMETHOD_SINC32=14;
      RESAMPLINGMETHOD_SINC64=15;
      RESAMPLINGMETHOD_SINC128=16;
      RESAMPLINGMETHOD_SINC256=17;
      RESAMPLINGMETHOD_SINC512=18;
      RESAMPLINGMETHOD_SINC1024=19;

type TBRTInstance=pointer;

function BRTCreate(Channels,Bits,SampleRate,BufferSize,MaxChannelsToMix:integer):TBRTInstance; stdcall; external 'libbrt.dll' name 'BRTCreate';
procedure BRTDestroy(Instance:TBRTInstance); stdcall; external 'libbrt.dll' name 'BRTDestroy';
procedure BRTSetResamplingMethod(Instance:TBRTInstance;Method:integer); stdcall; external 'libbrt.dll' name 'BRTSetResamplingMethod';
function BRTLoad(Instance:TBRTInstance;FileName:pchar;DoLoop:longbool):longbool; stdcall; external 'libbrt.dll' name 'BRTLoad';
function BRTLoadFromMemory(Instance:TBRTInstance;Src:pointer;Len:integer;DoLoop:longbool):longbool; stdcall; external 'libbrt.dll' name 'BRTLoadFromMemory';
function BRTLoadHook(Instance:TBRTInstance;DataSource,StreamCallbacks:pointer;DoLoop:longbool):longbool; stdcall; external 'libbrt.dll' name 'BRTLoadHook';
procedure BRTRestart(Instance:TBRTInstance); stdcall; external 'libbrt.dll' name 'BRTRestart';
procedure BRTSeek(Instance:TBRTInstance;ToPosition,SecondUnit:integer); stdcall; external 'libbrt.dll' name 'BRTSeek';
procedure BRTRead(Instance:TBRTInstance;Dest:pointer;Len:integer); stdcall; external 'libbrt.dll' name 'BRTRead';
function BRTIsEndOfTrack(Instance:TBRTInstance):longbool; stdcall; external 'libbrt.dll' name 'BRTIsEndOfTrack';
function BRTGetTrackLength(Instance:TBRTInstance;SecondUnit:integer):integer; stdcall; external 'libbrt.dll' name 'BRTGetTrackLength';
function BRTGetSampleName(Instance:TBRTInstance;Nr:integer):pchar; stdcall; external 'libbrt.dll' name 'BRTGetSampleName';
function BRTGetInstrumentName(Instance:TBRTInstance;Nr:integer):pchar; stdcall; external 'libbrt.dll' name 'BRTGetInstrumentName';
function BRTGetTracker(Instance:TBRTInstance):pchar; stdcall; external 'libbrt.dll' name 'BRTGetTracker';
function BRTGetTrackName(Instance:TBRTInstance):pchar; stdcall; external 'libbrt.dll' name 'BRTGetTrackName';
function BRTGetTrackMessage(Instance:TBRTInstance):pchar; stdcall; external 'libbrt.dll' name 'BRTGetTrackMessage';
function BRTGetTrackPosition(Instance:TBRTInstance;SecondUnit:integer):integer; stdcall; external 'libbrt.dll' name 'BRTGetTrackPosition';
function BRTGetTrackPattern(Instance:TBRTInstance):integer; stdcall; external 'libbrt.dll' name 'BRTGetTrackPattern';
function BRTGetTrackPatternRow(Instance:TBRTInstance):integer; stdcall; external 'libbrt.dll' name 'BRTGetTrackPatternRow';
procedure BRTSetTrackPattern(Instance:TBRTInstance;Pattern:integer); stdcall; external 'libbrt.dll' name 'BRTSetTrackPattern';
procedure BRTSetTrackPatternRow(Instance:TBRTInstance;PatternRow:integer); stdcall; external 'libbrt.dll' name 'BRTSetTrackPatternRow';

implementation

end.
